<script>
import TodoItem  from './TodoItem.vue';
import TodoInput from './TodoInput.vue'
import { store } from '../store/store';

export default {
  data() {
    return {
      store
    }
  },
  components: {
    TodoItem,
    TodoInput,
  },
  mounted() {
    this.store.loadAllTodos();
  }
}
</script>

<template>
  <div class="todo-list">
    <TodoInput />
    <div class="list-container">
      <TodoItem v-for="todo in this.store.todoList.todos" :todo="todo" :key="todo.id"/>
    </div>
  </div>
</template>

<style scoped>
h1 {
  font-weight: 500;
  font-size: 2.6rem;
  top: -10px;
}

h3 {
  font-size: 1.2rem;
}

.list h1,
.list h3 {
  text-align: center;
}

@media (min-width: 1024px) {
  .list h1,
  .list h3 {
    text-align: left;
  }
}
</style>
